"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testSuiteFormat = void 0;
const assert_1 = __importDefault(require("assert"));
const mocha_1 = __importDefault(require("mocha"));
function testSuiteFormat(repositoryTestData) {
    const testSuite = new mocha_1.default.Suite('format');
    for (const key in repositoryTestData.entityData) {
        testSuite.addTest(new mocha_1.default.Test(`should correctly format a model (${key})`, async function () {
            const formatted = (await repositoryTestData.repository.format(repositoryTestData.entityData[key].model));
            (0, assert_1.default)(repositoryTestData.validateFormat(repositoryTestData.entityData[key].model, formatted));
        }));
    }
    return testSuite;
}
exports.testSuiteFormat = testSuiteFormat;
//# sourceMappingURL=format.spec.js.map