/// <reference types="qs" />
import express from 'express';
declare global {
    namespace Express {
        interface Request {
            id: string;
            startTime: number;
        }
    }
}
/**
 * This middleware injects the request id into the request object and logs the request.
 */
export declare function middleware(): express.RequestHandler<import("express-serve-static-core").ParamsDictionary, any, any, import("qs").ParsedQs, Record<string, any>>;
//# sourceMappingURL=middleware.d.ts.map