"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readAuthorizationConfig = exports.readOrmConfig = void 0;
function readOrmConfig() {
    return {
        type: process.env.DB_TYPE ?? 'sqlite',
        host: process.env.DB_HOST ?? 'localhost',
        port: parseInt(process.env.DB_PORT ?? '3306'),
        username: process.env.DB_USERNAME,
        password: process.env.DB_PASSWORD,
        database: process.env.DB_DATABASE ?? 'database.db',
    };
}
exports.readOrmConfig = readOrmConfig;
function readAuthorizationConfig() {
    return {
        AUTHORIZATION_SERVER: 'http://localhost:3010',
        AUTHORIZATION_PSK: 'secret',
    };
}
exports.readAuthorizationConfig = readAuthorizationConfig;
//# sourceMappingURL=config.js.map